# Interface Clang

All Superinterfaces:
  `GccCompatibleToolChain, Named, NativeToolChain, ToolChain`

@Incubating public interface Clang extends GccCompatibleToolChain
The Clang tool chain.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

### Methods inherited from interface GccCompatibleToolChain

`eachPlatform, getPath, path, setTargets, target, target`

### Methods inherited from interface Named

`getName`

### Methods inherited from interface ToolChain

`getDisplayName`